Project Dependencies

provided

The following is a list of provided dependencies for this project. These dependencies are required to compile the application, but should be provided by default when using the library:

GroupId ArtifactId Version Type Licenses
org.nasdanika org.nasdanika.cdo 1.1.0-SNAPSHOT eclipse-plugin -
org.nasdanika org.nasdanika.cdo.security 1.1.0-SNAPSHOT eclipse-plugin -
org.nasdanika org.nasdanika.cdo.web 1.1.0-SNAPSHOT eclipse-plugin -
org.nasdanika org.nasdanika.core 1.1.0-SNAPSHOT eclipse-plugin -
org.nasdanika org.nasdanika.osgi.model 1.1.0-SNAPSHOT eclipse-plugin -
org.nasdanika org.nasdanika.web 1.1.0-SNAPSHOT eclipse-plugin -

system

The following is a list of system dependencies for this project. These dependencies are required to compile the application:

GroupId ArtifactId Version Classifier Type Licenses
p2.eclipse-plugin javax.servlet 3.1.0.v201410161800 - jar -
p2.eclipse-plugin json 20180130.0.0 - jar -
p2.eclipse-plugin net.sourceforge.plantuml 1.2018.11 - jar -
p2.eclipse-plugin org.apache.commons.codec 1.11.0 - jar -
p2.eclipse-plugin org.apache.commons.jxpath 1.3.0.v200911051830 - jar -
p2.eclipse-plugin org.apache.commons.lang3 3.7.0 - jar -
p2.eclipse-plugin org.apache.felix.scr 2.0.14.v20180117-1452 - jar -
p2.eclipse-plugin org.apache.lucene 6.1.0.201809230710 libs/lucene-analyzers-common-6.1.0.jar jar -
p2.eclipse-plugin org.apache.lucene 6.1.0.201809230710 libs/lucene-core-6.1.0.jar jar -
p2.eclipse-plugin org.apache.lucene 6.1.0.201809230710 libs/lucene-queries-6.1.0.jar jar -
p2.eclipse-plugin org.apache.lucene 6.1.0.201809230710 libs/lucene-queryparser-6.1.0.jar jar -
p2.eclipse-plugin org.apache.lucene 6.1.0.201809230710 libs/lucene-sandbox-6.1.0.jar jar -
p2.eclipse-plugin org.eclipse.core.contenttype 3.7.0.v20180426-1644 - jar -
p2.eclipse-plugin org.eclipse.core.jobs 3.10.0.v20180427-1454 - jar -
p2.eclipse-plugin org.eclipse.core.runtime 3.14.0.v20180417-0825 - jar -
p2.eclipse-plugin org.eclipse.emf.cdo 4.6.100.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.emf.cdo.common 4.7.0.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.emf.cdo.net4j 4.1.600.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.emf.cdo.server 4.7.0.v20180530-1201 - jar -
p2.eclipse-plugin org.eclipse.emf.cdo.server.db 4.6.0.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.emf.cdo.server.net4j 4.1.500.v20180530-1201 - jar -
p2.eclipse-plugin org.eclipse.emf.common 2.14.0.v20180527-1134 - jar -
p2.eclipse-plugin org.eclipse.emf.ecore 2.14.0.v20180529-1144 - jar -
p2.eclipse-plugin org.eclipse.emf.ecore.change 2.12.0.v20180125-1130 - jar -
p2.eclipse-plugin org.eclipse.emf.ecore.xmi 2.14.0.v20180129-1548 - jar -
p2.eclipse-plugin org.eclipse.equinox.app 1.3.500.v20171221-2204 - jar -
p2.eclipse-plugin org.eclipse.equinox.common 3.10.0.v20180412-1130 - jar -
p2.eclipse-plugin org.eclipse.equinox.ds 1.5.100.v20171221-2204 - jar -
p2.eclipse-plugin org.eclipse.equinox.preferences 3.7.100.v20180510-1129 - jar -
p2.eclipse-plugin org.eclipse.equinox.registry 3.8.0.v20180426-1327 - jar -
p2.eclipse-plugin org.eclipse.jetty.http 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.io 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.security 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.server 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.servlet 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.util 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.websocket.api 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.websocket.common 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.websocket.server 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.jetty.websocket.servlet 9.4.12.v20180830 - jar -
p2.eclipse-plugin org.eclipse.net4j 4.7.0.v20180530-1201 - jar -
p2.eclipse-plugin org.eclipse.net4j.db 4.7.0.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.net4j.db.jdbc 4.3.300.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.net4j.jvm 4.1.600.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.net4j.tcp 4.1.600.v20180529-1130 - jar -
p2.eclipse-plugin org.eclipse.net4j.util 3.8.0.v20180530-0909 - jar -
p2.eclipse-plugin org.eclipse.osgi 3.13.0.v20180409-1500 - jar -
p2.eclipse-plugin org.eclipse.osgi.services 3.7.0.v20180223-1712 - jar -
p2.eclipse-plugin org.eclipse.osgi.util 3.5.0.v20180219-1511 - jar -
p2.eclipse-plugin org.jsoup 1.11.3 - jar -
p2.eclipse-plugin org.mozilla.rhino 1.7.10 - jar -
p2.eclipse-plugin org.nasdanika.html 1.2.0.201805260058 - jar -
p2.eclipse-plugin org.nasdanika.icons 1.0.0.201809230710 - jar -
p2.eclipse-plugin org.nasdanika.story 0.1.0.201810082229 - jar -
p2.eclipse-plugin org.nasdanika.web.resources 1.0.0.201809230710 - jar -
p2.eclipse-plugin org.nasdanika.webtest.model 0.1.0.201702081608 - jar -
p2.eclipse-plugin org.pegdown 1.6.0.201809230710 libs/asm-5.0.3.jar jar -
p2.eclipse-plugin org.pegdown 1.6.0.201809230710 libs/asm-analysis-5.0.3.jar jar -
p2.eclipse-plugin org.pegdown 1.6.0.201809230710 libs/asm-tree-5.0.3.jar jar -
p2.eclipse-plugin org.pegdown 1.6.0.201809230710 libs/asm-util-5.0.3.jar jar -
p2.eclipse-plugin org.pegdown 1.6.0.201809230710 libs/parboiled-core-1.1.7.jar jar -
p2.eclipse-plugin org.pegdown 1.6.0.201809230710 libs/parboiled-java-1.1.7.jar jar -
p2.eclipse-plugin org.pegdown 1.6.0.201809230710 libs/pegdown-1.6.0.jar jar -
p2.eclipse-plugin org.yaml.snakeyaml 1.21.0 - jar -

Project Transitive Dependencies

The following is a list of transitive dependencies for this project. Transitive dependencies are the dependencies of the project dependencies.

system

The following is a list of system dependencies for this project. These dependencies are required to compile the application:

GroupId ArtifactId Version Type Licenses
p2.eclipse-plugin org.eclipse.jetty.osgi-servlet-api 3.1.0.M3 jar -

Project Dependency Graph

Dependency Tree

  • org.nasdanika:org.nasdanika.cdo.web.doc:eclipse-plugin:1.1.0-SNAPSHOT [Information]
    • p2.eclipse-plugin:org.eclipse.osgi:jar:3.13.0.v20180409-1500 (system) [Information]
    • p2.eclipse-plugin:javax.servlet:jar:3.1.0.v201410161800 (system) [Information]
    • p2.eclipse-plugin:net.sourceforge.plantuml:jar:1.2018.11 (system) [Information]
    • p2.eclipse-plugin:org.apache.commons.codec:jar:1.11.0 (system) [Information]
    • p2.eclipse-plugin:org.apache.commons.jxpath:jar:1.3.0.v200911051830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.osgi.services:jar:3.7.0.v20180223-1712 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.osgi.util:jar:3.5.0.v20180219-1511 (system) [Information]
    • p2.eclipse-plugin:org.apache.felix.scr:jar:2.0.14.v20180117-1452 (system) [Information]
    • p2.eclipse-plugin:org.apache.lucene:jar:libs/lucene-core-6.1.0.jar:6.1.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.apache.lucene:jar:libs/lucene-analyzers-common-6.1.0.jar:6.1.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.apache.lucene:jar:libs/lucene-queries-6.1.0.jar:6.1.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.apache.lucene:jar:libs/lucene-queryparser-6.1.0.jar:6.1.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.apache.lucene:jar:libs/lucene-sandbox-6.1.0.jar:6.1.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.equinox.common:jar:3.10.0.v20180412-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.equinox.preferences:jar:3.7.100.v20180510-1129 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.equinox.registry:jar:3.8.0.v20180426-1327 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.core.contenttype:jar:3.7.0.v20180426-1644 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.core.runtime:jar:3.14.0.v20180417-0825 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.core.jobs:jar:3.10.0.v20180427-1454 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.equinox.app:jar:1.3.500.v20171221-2204 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.equinox.ds:jar:1.5.100.v20171221-2204 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.ecore:jar:2.14.0.v20180529-1144 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.ecore.xmi:jar:2.14.0.v20180129-1548 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.ecore.change:jar:2.12.0.v20180125-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.cdo.common:jar:4.7.0.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.cdo:jar:4.6.100.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.net4j.util:jar:3.8.0.v20180530-0909 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.cdo.net4j:jar:4.1.600.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.net4j:jar:4.7.0.v20180530-1201 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.cdo.server:jar:4.7.0.v20180530-1201 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.cdo.server.db:jar:4.6.0.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.net4j.db:jar:4.7.0.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.cdo.server.net4j:jar:4.1.500.v20180530-1201 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.emf.common:jar:2.14.0.v20180527-1134 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.util:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.io:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.http:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.server:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.security:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.servlet:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.websocket.api:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.websocket.common:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.websocket.servlet:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.jetty.websocket.server:jar:9.4.12.v20180830 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.net4j.db.jdbc:jar:4.3.300.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.net4j.jvm:jar:4.1.600.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.eclipse.net4j.tcp:jar:4.1.600.v20180529-1130 (system) [Information]
    • p2.eclipse-plugin:org.jsoup:jar:1.11.3 (system) [Information]
    • p2.eclipse-plugin:org.mozilla.rhino:jar:1.7.10 (system) [Information]
    • org.nasdanika:org.nasdanika.cdo:eclipse-plugin:1.1.0-SNAPSHOT (provided) [Information]
      • p2.eclipse-plugin:org.eclipse.jetty.osgi-servlet-api:jar:3.1.0.M3 (system) [Information]
    • org.nasdanika:org.nasdanika.cdo.security:eclipse-plugin:1.1.0-SNAPSHOT (provided) [Information]
    • p2.eclipse-plugin:org.apache.commons.lang3:jar:3.7.0 (system) [Information]
    • org.nasdanika:org.nasdanika.core:eclipse-plugin:1.1.0-SNAPSHOT (provided) [Information]
    • org.nasdanika:org.nasdanika.cdo.web:eclipse-plugin:1.1.0-SNAPSHOT (provided) [Information]
    • org.nasdanika:org.nasdanika.web:eclipse-plugin:1.1.0-SNAPSHOT (provided) [Information]
    • p2.eclipse-plugin:org.pegdown:jar:libs/asm-5.0.3.jar:1.6.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.pegdown:jar:libs/asm-analysis-5.0.3.jar:1.6.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.pegdown:jar:libs/asm-tree-5.0.3.jar:1.6.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.pegdown:jar:libs/asm-util-5.0.3.jar:1.6.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.pegdown:jar:libs/parboiled-core-1.1.7.jar:1.6.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.pegdown:jar:libs/parboiled-java-1.1.7.jar:1.6.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.pegdown:jar:libs/pegdown-1.6.0.jar:1.6.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:org.yaml.snakeyaml:jar:1.21.0 (system) [Information]
    • p2.eclipse-plugin:org.nasdanika.html:jar:1.2.0.201805260058 (system) [Information]
    • p2.eclipse-plugin:org.nasdanika.icons:jar:1.0.0.201809230710 (system) [Information]
    • org.nasdanika:org.nasdanika.osgi.model:eclipse-plugin:1.1.0-SNAPSHOT (provided) [Information]
    • p2.eclipse-plugin:org.nasdanika.story:jar:0.1.0.201810082229 (system) [Information]
    • p2.eclipse-plugin:org.nasdanika.webtest.model:jar:0.1.0.201702081608 (system) [Information]
    • p2.eclipse-plugin:org.nasdanika.web.resources:jar:1.0.0.201809230710 (system) [Information]
    • p2.eclipse-plugin:json:jar:20180130.0.0 (system) [Information]

Licenses

Unknown: Core, Nasdanika CDO, Nasdanika CDO Security, Nasdanika CDO Web, Nasdanika CDO Web Doc, Nasdanika OSGi Model, Nasdanikia Web

Dependency File Details

Filename Size Entries Classes Packages Java Version Debug Information
org.nasdanika.cdo-1.1.0-SNAPSHOT.jar 95 kB - - - - -
org.nasdanika.cdo.security-1.1.0-SNAPSHOT.jar 85.3 kB - - - - -
org.nasdanika.cdo.web-1.1.0-SNAPSHOT.jar 625.7 kB - - - - -
org.nasdanika.core-1.1.0-SNAPSHOT.jar 88.7 kB - - - - -
org.nasdanika.osgi.model-1.1.0-SNAPSHOT.jar 30.1 kB - - - - -
org.nasdanika.web-1.1.0-SNAPSHOT.jar 233.3 kB - - - - -
Total Size Entries Classes Packages Java Version Debug Information
6 1.2 MB - - - 0.0 -
provided: 6 provided: 1.2 MB - - - - -